: IBM Confidential
:: OCO Source Materials
:: Rational ClearCase
:: (C) Copyright IBM Corp. 2009

:: The source code for this program is not published or otherwise
:: divested of its trade secrets, irrespective of what has been
:: deposited with the U.S. Copyright Office.
@echo off

setLocal EnableDelayedExpansion

IF "%CCRCCLI%"=="" set CCRCCLI=.

IF not exist "%CCRCCLI%\config.ini" goto Prompt3

IF exist "%CCRCCLI%\.license" for /f "usebackq eol= tokens=*" %%a in ("%CCRCCLI%\.license") do SET %%a

for /f "usebackq eol= tokens=*" %%a in ("%CCRCCLI%\config.ini") do SET %%a

if "%License_Accept%"=="" goto showLicense

if Not "%License_Accept%"=="" goto processCmd

:showLicense

echo Read the license agreement, available in ^<ccrc_cli_home^>/licenses directory, carefully.

echo Press ^<Enter^> to continue.

SET /p license_enter=

echo I accept the terms of the license agreement (Y/N): 

set /p License_Accept=

if "%License_Accept%"=="n" goto end

if "%License_Accept%"=="N" goto end

if "%License_Accept%"=="y" goto acceptLicense

if "%License_Accept%"=="Y" goto acceptLicense

goto end

:acceptLicense

echo License_Accept=done > "%CCRCCLI%\.license"

SET License_Accept=

goto processCmd

:processCmd

if "%JAVA_HOME%"=="" goto noJavaHome

if not exist "%JAVA_HOME%\bin\java.exe" goto noJavaHome

if "%_JAVACMD%"=="" set _JAVACMD=%JAVA_HOME%\bin\java.exe

IF NOT "%CM_API_DIR%"=="" GOTO ExeCMD

IF "%CCSHARED%"=="" GOTO Prompt1

IF not exist "%CCSHARED%\plugins" goto Prompt1

IF NOT "%CCSHARED%"=="" GOTO CalPath

:goto end

:noJavaHome

echo Edit the file ^<ccrc_cli_home^>/config.ini to set JAVA_HOME to the Java home directory. For details, refer to the installation instructions.

GOTO end

:Prompt1

echo Edit the file ^<ccrc_cli_home^>/config.ini to set CCSHARED to the shared resources directory. For details, refer to installation instructions.

GOTO end

:Prompt3

echo Error: the configuration file is missing. Install the software again, referring to the installation instructions.

GOTO end

:CalPath

for /f "delims=/ tokens=1,*" %%i in ('dir /AD/OD/b "%CCSHARED%\plugins"^|find "com.ibm.rational.teamapi_"') do Set CMAPIFOLDER=%%i

set CM_API_DIR=%CCSHARED%\plugins\%CMAPIFOLDER%

GOTO ExeCMD

:ExeCMD

"%_JAVACMD%" -Djava.util.logging.config.file="%CCRCCLI%/logging.properties" -cp "%CM_API_DIR%\stpwvcm.jar";"%CM_API_DIR%\stpcmmn.jar";"%CM_API_DIR%\stpcc.jar";"%CM_API_DIR%\remote_core.jar";"%CM_API_DIR%\commons-httpclient-3.0.jar";"%CM_API_DIR%\commons-codec-1.3.jar";"%CCRCCLI%\commons-cli-1.1.jar";"%CM_API_DIR%\icu4j-3_8.jar";"%CM_API_DIR%\commons-logging-1.0.4.jar";"%CCRCCLI%\rcleartool.jar" com.ibm.rational.ccrc.cli.command.ClearWan %*

GOTO end

:end